#pragma once

#include <vector>
#include <string>

#define SAFE_DELETE(p) if(p!=0){delete p;p=0;}

class Noncopyable {
public:
	Noncopyable() {};

private:
	void operator =(const Noncopyable& src) {};
	Noncopyable(const Noncopyable& src) {};
};

std::vector<std::string> fk_StrSplit(std::string argStr, std::string argToken);
